import { type RefCallback } from "react";
import type { FocusableElement } from "#/usePopover/usePopover.js";
import type { DropdownOptions } from "./useDropdown.types.js";
export type UseDropdownHandleOpen = (e?: React.MouseEvent) => void;
export type DropdownRef = {
    handleOpen: UseDropdownHandleOpen;
    handleClose: () => void;
};
export type UseDropdownOptions = DropdownOptions & {
    id: string;
};
export declare const useDropdown: <DropdownNode extends HTMLElement, TargetNode extends FocusableElement, AlignmentNode extends HTMLElement = HTMLElement>(options: UseDropdownOptions) => {
    dropdownRef: import("react").RefObject<DropdownNode | null>;
    setDropdownRef: RefCallback<DropdownNode>;
    alignmentRef: import("react").RefObject<AlignmentNode | null>;
    targetRef: import("react").RefObject<TargetNode | null>;
    setTargetRef: RefCallback<TargetNode>;
    closeDropdown: () => Promise<void>;
    openDropdown: UseDropdownHandleOpen;
};
//# sourceMappingURL=useDropdown.d.ts.map