import type { RefCallback } from "react";
import type { DropdownOptions } from "#/useDropdown/useDropdown.types.js";
export type UseDropdownInputArgs = DropdownOptions & {
    /**
     * A provided ID that will overwrite the ID that is created internally.
     */
    dxId?: string;
};
export declare function useDropdownInput<DropdownNode extends HTMLElement, TargetNode extends HTMLInputElement>(options: UseDropdownInputArgs): {
    containerRef: import("react").RefObject<HTMLDivElement | null>;
    inputMenuRef: import("react").RefObject<DropdownNode | null>;
    targetRef: import("react").RefObject<TargetNode | null>;
    setInputMenuRef: RefCallback<DropdownNode>;
    setTargetRef: RefCallback<TargetNode>;
    closeInputMenu: () => Promise<void>;
    openInputMenu: () => void;
    isOpen: boolean;
};
//# sourceMappingURL=useDropdownInput.d.ts.map