import type { RefCallback } from "react";
import type { DropdownOptions } from "#/useDropdown/useDropdown.types.js";
export type UseDropdownMenuArgs = DropdownOptions;
/**
 * A dropdown menu hook designed to be used with display menus
 * when a button is clicked
 */
export declare function useDropdownMenu<DropdownNode extends HTMLElement, AlignmentNode extends HTMLElement = HTMLElement>(options?: UseDropdownMenuArgs): {
    targetRef: import("react").RefObject<HTMLButtonElement | null>;
    dropdownRef: import("react").RefObject<DropdownNode | null>;
    setDropdownRef: RefCallback<DropdownNode>;
    setTargetRef: RefCallback<HTMLButtonElement>;
    closeMenu: () => void;
    alignmentRef: import("react").RefObject<AlignmentNode | null>;
};
//# sourceMappingURL=useDropdownMenu.d.ts.map