import { type RefCallback } from "react";
export type FocusableElement = HTMLButtonElement | HTMLAnchorElement | HTMLInputElement | HTMLSelectElement | HTMLTextAreaElement;
export type PopoverOptions = {
    /**
     * The ID of the popover. This ID is used for accessibility purposes to ensure
     * that dropdown and the target have the necessary aria-roles.
     */
    id: string;
};
export declare const usePopover: <PopoverNode extends HTMLElement, TargetNode extends FocusableElement = FocusableElement>({ id, }: PopoverOptions) => {
    popoverRef: import("react").RefObject<PopoverNode | null>;
    targetRef: import("react").RefObject<TargetNode | null>;
    setPopoverRef: RefCallback<PopoverNode>;
    setTargetRef: RefCallback<TargetNode>;
    showPopover: () => void;
    hidePopover: () => Promise<void>;
};
//# sourceMappingURL=usePopover.d.ts.map